petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDualSpaceGetDeRahm

Get the k-simplex associated with the functionals in this dual space

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetDeRahm(PetscDualSpace dsp, PetscInt *k)

### Input Parameter

dsp -The PetscDualSpace

### Output Parameter

k -The simplex dimension

Note: Currently supported values are

    0: These are H_1 methods that only transform coordinates

    1: These are Hcurl methods that transform functions using the covariant Piola transform (COVARIANT_PIOLA_TRANSFORM)

    2: These are the same as 1

    3: These are Hdiv methods that transform functions using the contravariant Piola transform (CONTRAVARIANT_PIOLA_TRANSFORM)

### See Also

PetscDualSpacePullback(), PetscDualSpacePushforward(), PetscDualSpaceTransform(), PetscDualSpaceTransformType

### Level

developer

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages